ICU 78.3 78.3

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetRangeIterator Class Reference

Iterator returned by USetRanges. More...

`#include <uset.h>`

## Public Member Functions
| USetRangeIterator (const USetRangeIterator &other)=default
bool | operator== (const USetRangeIterator &other) const
bool | operator!= (const USetRangeIterator &other) const
CodePointRange | operator* () const
USetRangeIterator & | operator++ ()
| Pre-increment. More...
USetRangeIterator | operator++ (int)
| Post-increment. More...

## Friends
class | USetRanges

## Detailed Description

Iterator returned by USetRanges.

Stable:
  ICU 76

Definition at line 1520 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetRangeIterator()

U_HEADER_ONLY_NAMESPACE::USetRangeIterator::USetRangeIterator | ( | const USetRangeIterator & | other | ) |
| default

Stable:
  ICU 76

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator!= | ( | const USetRangeIterator & | other | ) | const
| inline

Stable:
  ICU 76

Definition at line 1535 of file uset.h.

References operator==().

## ◆ operator*()

CodePointRange U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator* | ( |  | ) | const
| inline

Stable:
  ICU 76

Definition at line 1538 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, and uset_getItem().

## ◆ operator++() [1/2]

USetRangeIterator& U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Stable:
  ICU 76

Definition at line 1554 of file uset.h.

## ◆ operator++() [2/2]

USetRangeIterator U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Stable:
  ICU 76

Definition at line 1563 of file uset.h.

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator== | ( | const USetRangeIterator & | other | ) | const
| inline

Stable:
  ICU 76

Definition at line 1526 of file uset.h.

Referenced by operator!=().

The documentation for this class was generated from the following file:

- common/unicode/uset.h